Run of multiarch-fixes for libspi-java

Try this locally (using the lintian-brush package):

debcheckout libspi-java
cd libspi-java
apply-multiarch-hints

Merge these changes:

git pull https://janitor.debian.net/git/libspi-java multiarch-fixes/main

Diff

=== modified file 'debian/changelog'
--- a/debian/changelog	2019-09-13 09:05:38 +0000
+++ b/debian/changelog	2020-09-11 03:03:18 +0000
@@ -1,3 +1,10 @@
+libspi-java (0.2.4-4) UNRELEASED; urgency=low
+
+  * Apply multi-arch hints.
+    + libspi-java, libspi-java-doc: Add Multi-Arch: foreign.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Fri, 11 Sep 2020 03:03:17 -0000
+
 libspi-java (0.2.4-3) unstable; urgency=medium
 
   * Team upload.

=== modified file 'debian/control'
--- a/debian/control	2019-09-13 09:03:01 +0000
+++ b/debian/control	2020-09-11 03:03:18 +0000
@@ -13,6 +13,7 @@
 Package: libspi-java
 Architecture: all
 Depends: ${java:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Description: Simplifies usage of Java Service Provider Interface
  The usage of the Service Provider Interface in Java is a great way to make your
  program more extensible. However, implementing and distributing such an
@@ -33,6 +34,7 @@
 Section: doc
 Architecture: all
 Depends: ${java:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Description: Documentation for libspi-java
  The usage of the Service Provider Interface in Java is a great way to make your
  program more extensible. However, implementing and distributing such an
@@ -50,4 +52,3 @@
  programmer to create more robust code.
  .
  This package contains the generated API documentation.
-

Full worker log